Bug 860137 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:578785e085e2b32f26ef62f0c20...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 01:11 EDT by lso
Modified: 2014-09-13 14:56 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.56 KB, text/plain)
2012-09-25 01:11 EDT, lso
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (371 bytes, text/plain)
2012-09-25 01:11 EDT, lso
no flags Details
My Xorg.0.log after bug is reproduced. (34.35 KB, text/plain)
2013-01-31 02:41 EST, Alexei Panov
no flags Details

  None (edit)
Description lso 2012-09-25 01:11:17 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7febe6f94000+0x2f04) [0x7febe6f96f04]
:2: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7febe6f94000+0x4503) [0x7febe6f98503]
:3: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7febe6f94000+0x6f44) [0x7febe6f9af44]
:4: /usr/bin/X (0x400000+0x80787) [0x480787]
:5: /usr/bin/X (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x3102400000+0xefe0) [0x310240efe0]
:7: /lib64/libc.so.6 (__select+0x13) [0x3101cea9c3]
:8: /usr/bin/X (WaitForSomething+0x190) [0x462820]
:9: /usr/bin/X (0x400000+0x34111) [0x434111]
:10: /usr/bin/X (0x400000+0x23485) [0x423485]
:11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3101c21735]
:12: /usr/bin/X (0x400000+0x2375d) [0x42375d]
Comment 1 lso 2012-09-25 01:11:19 EDT
Created attachment 616859 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 lso 2012-09-25 01:11:20 EDT
Created attachment 616860 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Adam Jackson 2012-10-18 17:46:28 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 4 Sergis Varda 2012-10-22 01:49:35 EDT
I left my computer on overnight and had virtualbox, guest XP, and skype running.  

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Chris Brennan 2012-10-28 15:52:49 EDT
This is still occuring w/ xorg-x11-server-Xorg-1.12.3-2.fc17 on Beefy Miracle. It's actually happened 3 times in the last two days and is rather annoying as I have use an external mouse on my laptop. When this crashes, my trackpad will stop working and starts producing very very weird results. Random button clicks, random scrolling
Comment 6 Karel Volný 2012-10-28 17:08:23 EDT
I've clicked an image in a webshop in Konqueror to see it in a new window ... for a moment, nothing happened, then Konqueror got killed and I got these crash reports

then I couldn't move the mouse for about 5 minutes; I've tried to switch to text and back to X, but it didn't help, however, the mouse started working again after a while ...


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Karel Volný 2012-10-28 17:22:25 EDT
don't know, this appeared just after reboot (may be related to previous bugs in X reported just before the reboot)

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Christophe Quintard 2012-11-02 13:19:19 EDT
I've removed my laptop from my docking station, which somehow has disconnected my external screen.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Florian Krammel 2012-11-06 03:05:29 EST
Browsing PDF

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Karel Volný 2012-11-11 10:48:06 EST
I've just tried to switch desktops.
After that, the mouse cursor was frozen and trying to move with touchpad led to scrolling in konsole history like if I'd be holding some modifier to use scrollbar.
After a while, I got abrt report appearing, then the mouse cursor disappeared and there was no reaction to the touchpad.
Then, after switching to text mode and back to X, mouse operation resumed normally.


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Karel Volný 2012-11-12 04:11:38 EST
it just appeared after system start

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 inte 2012-12-08 09:18:41 EST
probably revovery from standby

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Bongfrog 2012-12-19 09:03:27 EST
after yum update many kde updates,just using the system, noticed that track pad stopped working

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Maykel Franco Hernández 2012-12-20 11:51:29 EST
Simplemente hice un 'yum update' y el paquete xorg-X11 ya me reportó error. Lo siento no poder ayudaros más en este bug, habéis hecho un gran trabajo con el tema de los drivers tanto para nvidia como para ati pero todavía falta pulirlo bastante más.

Muchas gracias y seguir así.

Saludos.


Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Bongfrog 2012-12-28 09:51:36 EST
system idle, noticed that system did not go into suspend after 10 min (as set in kde pm), touch pad did not move pointer but scroll continued to work.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Paul Fee 2013-01-12 18:58:47 EST
Before the crash, I'd been scrolling in the KDE konsole terminal window using two finger guestures.

At some point, normal mouse movement with a single finger and no buttons pressed became interpretted as scrolling.  The on screen cursor would not move.  I was about to press CTRL-ALT-F2 to switch virtual consoles to see if that would refresh X enough, then I got a crash report.  I'm not sure if CTRL-ALT-F2 triggered the crash.

My machine is a HP Mini 210 netbook with integrated synaptic touchpad.


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Peter Hutterer 2013-01-31 00:21:56 EST
can I have an xorg.log from an affected system please?
Comment 18 Alexei Panov 2013-01-31 02:41:11 EST
Created attachment 690790 [details]
My Xorg.0.log after bug is reproduced.
Comment 19 Peter Hutterer 2013-02-01 00:28:36 EST
please try the updated version, it fixes a memory corruption that could be a potential reason for this.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.12.4-4.fc17

also, note that we put this warning in upstream so we see the issue when it happens, but the error itself is also corrected. this warning should not lead to a crash. did your system actually crash after this?
Comment 20 Bill McGonigle 2013-03-12 09:49:51 EDT
Got this today with xorg-x11-server-Xorg-1.12.4-4.fc17 .  Looks like abrt didn't attach anything - I have the abrt files on disk if any of them would be helpful.
Comment 21 Bill McGonigle 2013-03-25 09:39:32 EDT
wake from hibernate

Package: xorg-x11-server-Xorg-1.12.4-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 Bill McGonigle 2013-03-25 09:41:25 EDT
I did not notice an actual X11 crash.
Comment 23 Fedora End Of Life 2013-07-04 03:36:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2013-08-01 15:56:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.